On Sat, 2016-06-11 at 16:31 +0530, Satyam Zode wrote:

> Please find an attached patch which enables argument completion for
> diffoscope. Looking forward to review and feedback.

Thanks for the patch.

> +++ b/debian/control
> @@ -20,6 +20,7 @@ Build-Depends:
> + python3-argcomplete,

I think you need it in Depends/Recommends too?
Probably put it in the dh_python3 args.

> +    if argcomplete:
> +        argcomplete.autocomplete(parser)

I think it should exit with an error when completion is enabled
(_ARGCOMPLETE env var) but the argcomplete module is not installed.

-- 
bye,
pabs

https://wiki.debian.org/PaulWise

Attachment: signature.asc
Description: This is a digitally signed message part

_______________________________________________
Reproducible-builds mailing list
Reproducible-builds@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/reproducible-builds

Reply via email to